#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_install() {
    log_run install -d ${installDir}${sysconfdir}
    log_run install -m 0644 ${buildDir}/*.conf ${installDir}${sysconfdir}
    log_run install -d ${installDir}/${localstatedir}${base_libdir}/alsa
    log_run install -m 0644 ${buildDir}/*.state ${installDir}${localstatedir}${base_libdir}/alsa

    # create link to support all packages configuration
    for p in a b c d e f;
    do
	for n in 1 3 7;
	do
	    cd ${installDir}${sysconfdir}
	    log_run ln -sf asound-stm32mp15yx-ev.conf asound-stm32mp15$n$p-ev.conf
	    log_run ln -sf asound-stm32mp15yx-dk.conf asound-stm32mp15$n$p-dk.conf
	    cd ${installDir}${localstatedir}${base_libdir}/alsa
	    log_run ln -sf asound-stm32mp15yx-ev.state asound-stm32mp15$n$p-ev.state
	    log_run ln -sf asound-stm32mp15yx-dk.state asound-stm32mp15$n$p-dk.state
	done
    done

    # Enable systemd automatic selection
    if true; then
	log_run install -d ${installDir}${base_libdir}/systemd/system-generators
	if [ -f ${buildDir}/system-generator-alsa-states ]; then
	    log_run install -m 0755 ${buildDir}/system-generator-alsa-states ${installDir}${base_libdir}/systemd/system-generators
	fi
	if [ -f ${buildDir}/system-generator-alsa-conf ]; then
	    log_run install -m 0755 ${buildDir}/system-generator-alsa-conf ${installDir}${base_libdir}/systemd/system-generators
	fi
    fi
}

do_buildstep_prepend

local_do_install

do_buildstep_append