# Append script for task Configure: task.configure.u-boot-stm32mp_v2021.10-stm32mp-r2-r0 (configure-append.sh)
# This script was imported from Yocto but may have been modified locally

    if [ -n "" ]; then
		if [ -n " trusted_stm32mp15 " ]; then
		    for config in  stm32mp15_defconfig; do
				for mtdpart_check_config in ; do
				    if [ "$mtdpart_check_config" = "$config" ]; then
						if [ -f "${buildDir}/$config/.config" ]; then
						    for mtdpart_chk in $(echo "                   "); do
								mtdpart_conf=$(echo $mtdpart_chk | cut -d'=' -f1)
								mtdpart_set=$(echo $mtdpart_chk | cut -d'=' -f2)
								if grep -q "$mtdpart_conf=" "${buildDir}/$config/.config"; then
								    message "Found $mtdpart_conf definition in '.config' file from '$config' build folder"
								    # Get the current MTDPART configuration settings (and remove the double quotes)
								    mtdpart_cur=$(grep "$mtdpart_conf=" "${buildDir}/$config/.config" | cut -d'=' -f2 | sed 's"//g')
								    # Init for loop on configured partition list
								    i=0
								    mtdpart_count=$(echo "$mtdpart_cur" | awk -F',' '{print NF-1}')
								    while [ $i -lt "$mtdpart_count" ]; do
									i=$(expr $i + 1)
									mtdpart_cur_size=$(echo $mtdpart_cur | cut -d',' -f$i | sed 's/\([0-9]*[mk]\).*/\1')
									mtdpart_set_size=$(echo $mtdpart_set | cut -d',' -f$i | sed 's/\([0-9]*\).*/\1')
									# Make sure to use KiB format for partition size
									if [ -z "$(echo $mtdpart_cur_size | grep m)" ]; then
									    cur_size_kb=$(echo $mtdpart_cur_size | sed 's/k/')
									else
									    cur_size_kb=$(expr $(echo $mtdpart_cur_size | sed 's/m/') \* 1024)
									fi
									# Compare partition size
									if [ "$mtdpart_set_size" != "$cur_size_kb" ]; then
									    fatal_no_status "The default settings for $mtdpart_conf ($mtdpart_cur) is different from the one configured ($mtdpart_set) : $mtdpart_set_sizek versus $mtdpart_cur_size"
									fi
								    done
								    message "Found $mtdpart_set settings for $mtdpart_conf in '.config' file from '$config' build folder : configuration is ok"
								else
								    fatal_no_status "$mtdpart_conf definition not found in '.config' file from '$config' build folder : may need update for CONFIG name..."
								fi
						    done
						fi
				    fi
				done
		    done
		fi
    fi
