# Prepend script for task Configure: task.configure.u-boot-stm32mp_v2021.10-stm32mp-r2-r0 (configure-prepend.sh)
# This script was imported from Yocto but may have been modified locally

cml1_do_configure() {
	set -e
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
	yes '' | do_make oldconfig
}

    if [ -n " trusted_stm32mp15 " ]; then
		unset i j
		for config in  stm32mp15_defconfig; do
		    if [ -f "${srcDir}/configs/$config" ]; then
			# Create copy of original defconfig
			log_run cp -f "${srcDir}/configs/$config" "${workDir}"
			i=$(expr $i + 1)
			for binary in  u-boot.dtb; do
			    j=$(expr $j + 1)
			    if [ $j -eq $i ]; then
				binarysuffix=$(echo $binary | cut -d'.' -f2)
				# Make sure to select STM32IMAGE if requested
				if [ "$binarysuffix" = "stm32" ]; then
				    if ! grep -q 'CONFIG_STM32MP15x_STM32IMAGE=y' "${srcDir}/configs/$config"; then
					echo "CONFIG_STM32MP15x_STM32IMAGE=y" >> "${srcDir}/configs/$config"
				    fi
				fi
				if [ "0" = "1" ]; then
				    if ! grep -q 'CONFIG_FIT_SIGNATURE=y' "${srcDir}/configs/$config"; then
					echo "CONFIG_FIT_SIGNATURE=y" >> "${srcDir}/configs/$config"
				    fi
				fi
			    fi
			done
			unset j
		    fi
		done
    fi
    
    if [ -n " trusted_stm32mp15 " ]; then
		unset i j
		for config in  stm32mp15_defconfig; do
		    i=$(expr $i + 1);
		    for type in  trusted_stm32mp15 ; do
			j=$(expr $j + 1);
			if [ $j -eq $i ]; then
			    do_make -C ${srcDir} O=${buildDir}/$config $config
			    if [ -n "" ]; then
				merge_config.sh -m -O ${buildDir}/$config ${buildDir}/$config/.config
				do_make -C ${srcDir} O=${buildDir}/$config oldconfig
			    fi
			fi
		    done
		    unset j
		done
		unset i
		DEVTOOL_DISABLE_MENUCONFIG=true
    else
		if [ -n " stm32mp15_defconfig" ]; then
		    do_make -C ${srcDir} O=${buildDir}  stm32mp15_defconfig
		else
		    do_make -C ${srcDir} O=${buildDir} oldconfig
		fi
		merge_config.sh -m .config
		cml1_do_configure
	fi
	